"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const ImageButton = (props) => {
    return (react_1.default.createElement(react_native_1.TouchableOpacity, { style: {
            height: props.height,
            width: props.width,
            justifyContent: 'center',
            alignItems: 'center',
            marginLeft: props.marginLeft,
            marginRight: props.marginRight,
            marginTop: props.marginTop,
            marginBottom: props.marginBottom,
            backgroundColor: props.backgroundColor,
            padding: props.padding,
            zIndex: props.zIndex || 3,
            borderColor: props.borderColor,
            borderWidth: props.borderWidth,
            borderRadius: props.borderRadius
        }, onPress: props.onPress },
        react_1.default.createElement(react_native_1.Image, { style: {
                width: props.imgWidth || props.width,
                height: props.imgHeight || props.height,
                resizeMode: 'contain'
            }, source: props.imagepath })));
};
exports.default = ImageButton;
//# sourceMappingURL=ImageButton.js.map