"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
class AddIcon extends react_1.default.Component {
    render() {
        const { width, height, backgroundColor } = this.props;
        return (react_1.default.createElement(react_native_1.View, { style: styles.container },
            react_1.default.createElement(react_native_1.View, { style: [styles.vertical, { height, backgroundColor }] }),
            react_1.default.createElement(react_native_1.View, { style: [styles.horizontal, { width, backgroundColor }] })));
    }
}
// AddIcon.propTypes = {
//   width: PropTypes.number,
//   height: PropTypes.number,
//   color: PropTypes.string
// };
const styles = react_native_1.StyleSheet.create({
    container: {
        justifyContent: "center",
        alignItems: "center"
    },
    vertical: {
        width: 4,
        position: "absolute"
    },
    horizontal: {
        height: 4,
        position: "absolute"
    }
});
exports.default = AddIcon;
//# sourceMappingURL=AddIcon.js.map